# Note that this is NOT a relocatable package
%define version 0.21.0
%define release 1mdk
%define name cadaver

Summary:	Command-line WebDAV client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
Source0:	http://www.webdav.org/cadaver/%{name}-%{version}.tar.bz2
Source1:	http://www.webdav.org/cadaver/%{name}-%{version}.tar.gz.asc
URL:		http://www.webdav.org/cadaver/
Requires:	libopenssl0 libncurses5 readline libexpat0 libxml2 zlib libneon0
BuildRequires:	openssl-devel ncurses-devel readline-devel expat-devel libxml2-devel zlib-devel libneon0-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
A command-line WebDAV client. Supports file upload, download,
on-screen display, namespace operations (move/copy), collection
creation and deletion, and locking operations.

%prep

%setup -q

%build

%configure \
    --with-neon=%{_prefix} \
    --with-ssl \
    --with-libxml2

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%_bindir/*
%_mandir/man1/*
%defattr(644, root, root, 755)
%doc NEWS TODO FAQ COPYING README ChangeLog

%changelog
* Fri Feb 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.21.0-1mdk
- 0.21.0

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.20.5-2mdk
- rebuild

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.20.5-1mdk
- 0.20.5
- added the gnupg sig file
- build against latest openssl, libxml2 and libneon0
- misc spec file fixes

* Fri Jul 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.20.1-1mdk
- 0.20.1

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.19.1-3mdk
- rebuild for new readline

* Tue May 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.19.1-2mdk
- fix compilation
- fixes from Michael Hill <msh@qadas.com> :
	- Include man page, FAQ file in package

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.19.1-1mdk
- 0.19.1

* Mon Jan 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.19.0-1mdk
- 0.19.0

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.18.0-1mdk
- updated by Stefane Fermigier :
	- update to version 0.18

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.17.0-1mdk
- added by Stefane Fermigier <sf@fermigier.com> :
	- Changed configure options to enable build on Mandrake

* Fri Feb 11 2000 Joe Orton <joe@orton.demon.co.uk>
- Text descriptions modified

* Thu Feb 10 2000 Lee Mallabone <lee0@callnetuk.com>
- Initial creation.
